Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jdbc
Class NonBatchingBatcher

    java.lang.Object
      org.hibernate.jdbc.AbstractBatcher
          org.hibernate.jdbc.NonBatchingBatcher

All Implemented Interfaces:
  Batcher

    public class NonBatchingBatcher

extends AbstractBatcher

An implementation of the `Batcher` interface that does no batching

Author:
  Gavin King

Field Summary

Fields inherited from class org.hibernate.jdbc.AbstractBatcher
`log, SQL_LOG`

Constructor Summary
`NonBatchingBatcher(ConnectionManager connectionManager, Interceptor interceptor)`

Method Summary
`void` | `addToBatch(Expectation expectation)` Add an insert / delete / update to the current batch (might be called multiple times for single `prepareBatchStatement()`)
`protected void` | `doExecuteBatch(PreparedStatement ps)`

Methods inherited from class org.hibernate.jdbc.AbstractBatcher
`abortBatch, cancelLastQuery, closeConnection, closeQueryStatement, closeStatement, closeStatements, executeBatch, getFactory, getResultSet, getResultSet, getStatement, hasOpenResources, openConnection, openResourceStatsAsString, prepareBatchCallableStatement, prepareBatchStatement, prepareCallableQueryStatement, prepareCallableStatement, prepareQueryStatement, prepareSelectStatement, prepareStatement, prepareStatement, prepareStatement, setTransactionTimeout, unsetTransactionTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonBatchingBatcher

    public NonBatchingBatcher(ConnectionManager connectionManager,
                              Interceptor interceptor)

Method Detail

### addToBatch

    public void addToBatch(Expectation expectation)
                    throws SQLException,
                           HibernateException

  Description copied from interface: `Batcher`
  Add an insert / delete / update to the current batch (might be called multiple times for single `prepareBatchStatement()`)

  Throws:
    `SQLException`
    `HibernateException`

### doExecuteBatch

    protected void doExecuteBatch(PreparedStatement ps)
                           throws SQLException,
                                  HibernateException

  Specified by:
    `doExecuteBatch` in class `AbstractBatcher`
  Throws:
    `SQLException`
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD